.base-grid {
  margin: auto;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  justify-content: flex-start;
}
.base-grid::after {
  content: "";
  flex: auto;
}
.base-grid > * {
  --base-grid-col-margin: 2%;
  margin-right: var(--base-grid-col-margin);
  margin-bottom: var(--base-grid-col-margin);
}
@media (max-width: 575.98px) {
  .base-grid > * {
    flex-basis: 100%;
  }
}

.view-default-layout {
  margin: auto;
}

.view-group-title {
  flex: 0 0 100%;
  text-transform: uppercase;
  font-weight: bold;
  font-size: calc(1.275rem + 0.3vw);
}
@media (min-width: 1200px) {
  .view-group-title {
    font-size: 1.5rem;
  }
}

@media (min-width: 576px) and (max-width: 767.98px) {
  .base-grid--max-7-col > * {
    flex-basis: calc((100% - var(--base-grid-col-margin)) / 2);
  }
  .base-grid--max-7-col > *:nth-child(2n) {
    margin-right: 0;
  }
}
@media (min-width: 768px) and (max-width: 991.98px) {
  .base-grid--max-7-col > * {
    flex-basis: calc((100% - 2 * var(--base-grid-col-margin)) / 3);
  }
  .base-grid--max-7-col > *:nth-child(3n) {
    margin-right: 0;
  }
}
@media (min-width: 992px) and (max-width: 1199.98px) {
  .base-grid--max-7-col > * {
    flex-basis: calc((100% - 3 * var(--base-grid-col-margin)) / 4);
  }
  .base-grid--max-7-col > *:nth-child(4n) {
    margin-right: 0;
  }
}
@media (min-width: 1200px) and (max-width: 1399.98px) {
  .base-grid--max-7-col > * {
    flex-basis: calc((100% - 4 * var(--base-grid-col-margin)) / 5);
  }
  .base-grid--max-7-col > *:nth-child(5n) {
    margin-right: 0;
  }
}
@media (min-width: 1400px) and (max-width: 1599.98px) {
  .base-grid--max-7-col > * {
    flex-basis: calc((100% - 5 * var(--base-grid-col-margin)) / 6);
  }
  .base-grid--max-7-col > *:nth-child(6n) {
    margin-right: 0;
  }
}
@media (min-width: 1600px) {
  .base-grid--max-7-col > * {
    flex-basis: calc((100% - 6 * var(--base-grid-col-margin)) / 7);
  }
  .base-grid--max-7-col > *:nth-child(7n) {
    margin-right: 0;
  }
}

@media (min-width: 576px) and (max-width: 767.98px) {
  .base-grid--max-6-col > * {
    flex-basis: calc((100% - var(--base-grid-col-margin)) / 2);
  }
  .base-grid--max-6-col > *:nth-child(2n) {
    margin-right: 0;
  }
}
@media (min-width: 768px) and (max-width: 991.98px) {
  .base-grid--max-6-col > * {
    flex-basis: calc((100% - 2 * var(--base-grid-col-margin)) / 3);
  }
  .base-grid--max-6-col > *:nth-child(3n) {
    margin-right: 0;
  }
}
@media (min-width: 992px) and (max-width: 1199.98px) {
  .base-grid--max-6-col > * {
    flex-basis: calc((100% - 3 * var(--base-grid-col-margin)) / 4);
  }
  .base-grid--max-6-col > *:nth-child(4n) {
    margin-right: 0;
  }
}
@media (min-width: 1200px) and (max-width: 1399.98px) {
  .base-grid--max-6-col > * {
    flex-basis: calc((100% - 4 * var(--base-grid-col-margin)) / 5);
  }
  .base-grid--max-6-col > *:nth-child(5n) {
    margin-right: 0;
  }
}
@media (min-width: 1400px) {
  .base-grid--max-6-col > * {
    flex-basis: calc((100% - 5 * var(--base-grid-col-margin)) / 6);
  }
  .base-grid--max-6-col > *:nth-child(6n) {
    margin-right: 0;
  }
}

@media (min-width: 576px) and (max-width: 767.98px) {
  .base-grid--max-5-col > * {
    flex-basis: calc((100% - var(--base-grid-col-margin)) / 2);
  }
  .base-grid--max-5-col > *:nth-child(2n) {
    margin-right: 0;
  }
}
@media (min-width: 768px) and (max-width: 991.98px) {
  .base-grid--max-5-col > * {
    flex-basis: calc((100% - 2 * var(--base-grid-col-margin)) / 3);
  }
  .base-grid--max-5-col > *:nth-child(3n) {
    margin-right: 0;
  }
}
@media (min-width: 768px) and (max-width: 1199.98px) {
  .base-grid--max-5-col > * {
    flex-basis: calc((100% - 3 * var(--base-grid-col-margin)) / 4);
  }
  .base-grid--max-5-col > *:nth-child(4n) {
    margin-right: 0;
  }
}
@media (min-width: 1200px) {
  .base-grid--max-5-col > * {
    flex-basis: calc((100% - 4 * var(--base-grid-col-margin)) / 5);
  }
  .base-grid--max-5-col > *:nth-child(5n) {
    margin-right: 0;
  }
}

@media (min-width: 576px) and (max-width: 991.98px) {
  .base-grid--max-4-col > * {
    flex-basis: calc((100% - var(--base-grid-col-margin)) / 2);
  }
  .base-grid--max-4-col > *:nth-child(2n) {
    margin-right: 0;
  }
}
@media (min-width: 992px) and (max-width: 1199.98px) {
  .base-grid--max-4-col > * {
    flex-basis: calc((100% - 2 * var(--base-grid-col-margin)) / 3);
  }
  .base-grid--max-4-col > *:nth-child(3n) {
    margin-right: 0;
  }
}
@media (min-width: 1200px) {
  .base-grid--max-4-col > * {
    flex-basis: calc((100% - 3 * var(--base-grid-col-margin)) / 4);
  }
  .base-grid--max-4-col > *:nth-child(4n) {
    margin-right: 0;
  }
}

@media (min-width: 576px) and (max-width: 767.98px) {
  .base-grid--max-3-col > * {
    flex-basis: calc((100% - var(--base-grid-col-margin)) / 2);
  }
  .base-grid--max-3-col > *:nth-child(2n) {
    margin-right: 0;
  }
}
@media (min-width: 768px) {
  .base-grid--max-3-col > * {
    flex-basis: calc((100% - 2 * var(--base-grid-col-margin)) / 3);
  }
  .base-grid--max-3-col > *:nth-child(3n) {
    margin-right: 0;
  }
}

@media (min-width: 768px) {
  .base-grid--max-2-col > * {
    flex-basis: calc((100% - var(--base-grid-col-margin)) / 2);
  }
  .base-grid--max-2-col > *:nth-child(2n) {
    margin-right: 0;
  }
}
